EDIT - feature request #6619

Integrate Excel distribution import into taxeditor
05/04/2017 11:12 AM - Katja Luther

Status: Resolved Start date:

Priority: Priority14 Due date:

Assignee: Andreas Muller % Done: 50%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 4.7

Severity: normal

Description

Now the import of updated distribution data is finished we have to integrate it into the taxeditor

Related issues:

Related to EDIT - feature request #6524: Distribtion Update for Fauna Europaea Closed

Associated revisions

Revision d94e59f0 - 05/04/2017 12:52 PM - Katja Luther

ref #6619: integrate excel distribution update in taxeditor

Revision c03c1418 - 05/04/2017 02:40 PM - Katja Luther

ref #6619: smaller changes

Revision 07daf36f - 05/04/2017 02:42 PM - Katja Luther
ref #6619: minor

Revision 4da4f88a - 05/05/2017 11:19 AM - Katja Luther

fix #6619: missed to commit ioService

Revision 7854fc26 - 05/10/2017 08:33 PM - Andreas Miiller

ref #6524, ref #6619 set needsNomenclaturalCode to false for ExcelDistributionUpdateConfigurator

Revision 159bb3e7 - 05/11/2017 11:47 AM - Katja Luther

ref #6619: add the possibility to ignore methods of the configurator in the configuration wizard of imports and exports

Revision e2137c¢8f - 05/11/2017 12:03 PM - Katja Luther

ref #6619: small changes in importFromFileAndChooseVocldWizard

Revision ba390530 - 05/11/2017 12:29 PM - Katja Luther

ref #6619: adapt labeling of configuration wizard

Revision 9313d25a - 05/11/2017 02:09 PM - Katja Luther
fix #6619: add display of the import report

Revision 69161b11 - 05/11/2017 02:16 PM - Katja Luther

fix #6619: add message if no import result is available

History

#1 - 05/04/2017 11:12 AM - Katja Luther

- Related to feature request #6524: Distribtion Update for Fauna Europaea added

#2 - 05/04/2017 11:12 AM - Katja Luther

- Status changed from New to In Progress
#3 - 05/04/2017 02:42 PM - Katja Luther
- % Done changed from 0 to 90

#4 - 05/05/2017 11:19 AM - Katja Luther
- Status changed from In Progress to Resolved

- % Done changed from 90 to 50

Applied in changeset cdmlib|4da4{88a682075705c6483be60ef0013a77d0a8d.

#5 - 05/08/2017 03:43 PM - Katja Luther

- Assignee changed from Katja Luther to Andreas Mdiller

#6 - 05/10/2017 08:52 PM - Andreas Miiller

- Status changed from Resolved to Feedback

- Assignee changed from Andreas Miiller to Katja Luther
The wizard can still be improved:

1. The import should show up only if "show experimental features" is switched on. This is because PresenceAbsence terms are still hardcoded and

a ks own

result.createReport () .toString();

you should get a complete report of what happened.

A general issue:

#7 - 05/11/2017 02:09 PM - Katja Luther

- Status changed from Feedback to Resolved

Applied in changeset taxeditor|9313d25a2e00e474498e2713f4cb0b44245b37b1.

#8 - 05/11/2017 02:18 PM - Katja Luther

- Assignee changed from Katja Luther to Andreas Miiller

#9 - 05/11/2017 03:37 PM - Andreas Miiller

- Subject changed from Integrate Fauna Europaea distribution import into taxeditor to Integrate Excel distribution import into taxeditor

#10 - 03/04/2022 05:14 PM - Andreas Miiller

- Tags set to import
